<?php

declare(strict_types=1);

namespace FiloBlu\GcpLogging\Model\Config\Source;

use FiloBlu\GcpLogging\Helper\Data;
use Magento\Framework\Data\OptionSourceInterface;

/**
 *
 */
class LoggingType implements OptionSourceInterface
{
    /**
     * @return array
     */
    public function toOptionArray()
    {
        return [
            [
                'label' => __('GCP'),
                'value' => Data::LOG_TYPE_GCP,
            ],
            [
                'label' => __('On File'),
                'value' => Data::LOG_TYPE_FILE,
            ]
        ];
    }
}
